%%%
   VERSION: 1
   LANGUAGE: ENGLISH
%%%

MODULE mSetup
   !
	TASK PERS  menudata md1CalBaseFrame_Stn1:=["Calibration#Calibrate BaseFrame Stn 1","","CalBaseFrame_Stn1",1,"T_ROB1:T_POS1",1,FALSE,1,0,FALSE,0];
	TASK PERS  menudata md1CalBaseFrame_Stn2:=["Calibration#Calibrate BaseFrame Stn 2","","CalBaseFrame_Stn2",2,"T_ROB1:T_POS1",2,FALSE,1,0,FALSE,0];
  !
	VAR syncident idCalBaseFrame_Stn1_1;
	VAR syncident idCalBaseFrame_Stn1_2;
	VAR syncident idCalBaseFrame_Stn1_3;
	VAR syncident idCalBaseFrame_Stn1_4;
	VAR syncident idCalBaseFrame_Stn1_5;
  !
  VAR syncident idCalBaseFrame_Stn2_1;
	VAR syncident idCalBaseFrame_Stn2_2;
	VAR syncident idCalBaseFrame_Stn2_3;
	VAR syncident idCalBaseFrame_Stn2_4;
	VAR syncident idCalBaseFrame_Stn2_5;
  !
  PERS tasks sync_all_tasks{3}:=[["T_ROB1"],["T_ROB2"],["T_POS1"]];
  PERS tasks sync_rob_tasks{2}:=[["T_ROB1"],["T_ROB2"]];
  PERS tasks sync_ROB1_POS1{2}:=[["T_ROB1"],["T_POS1"]];
  PERS tasks sync_ROB2_POS1{2}:=[["T_ROB2"],["T_POS1"]];
  !  
	CONST jointtarget jt_1:=[[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09],[9E+09,9E+09,9E+09,9E+09,-9.81512E-05,9E+09]];
	CONST jointtarget jt_2:=[[0,0,0,0,0,0],[9E9,9E9,9E9,9E9,20,9E9]];
	CONST jointtarget jt_3:=[[0,0,0,0,0,0],[9E9,9E9,9E9,9E9,55,9E9]];
	CONST jointtarget jt_4:=[[0,0,0,0,0,0],[9E9,9E9,9E9,9E9,90,9E9]];
    
  PROC CalBaseFrame_Stn1()
	  ActUnit STN1;
	  MoveExtJ jt_1,vrot50,fine;
	  WaitSyncTask idCalBaseFrame_Stn1_1,sync_ROB1_POS1;
	  !
	  MoveExtJ jt_2,vrot50,fine;
	  WaitSyncTask idCalBaseFrame_Stn1_2,sync_ROB1_POS1;
	  !
	  MoveExtJ jt_3,vrot50,fine;
	  WaitSyncTask idCalBaseFrame_Stn1_3,sync_ROB1_POS1;
	  !
	  MoveExtJ jt_4,vrot50,fine;
	  WaitSyncTask idCalBaseFrame_Stn1_4,sync_ROB1_POS1;
	  !
	  MoveExtJ jt_1,vrot10,fine;
	  WaitSyncTask idCalBaseFrame_Stn1_5,sync_ROB1_POS1;
  ENDPROC

  PROC CalBaseFrame_Stn2()
	  ActUnit STN2;
	  MoveExtJ jt_1,vrot50,fine;
	  WaitSyncTask idCalBaseFrame_Stn2_1,sync_ROB1_POS1;
	  !
	  MoveExtJ jt_2,vrot50,fine;
	  WaitSyncTask idCalBaseFrame_Stn2_2,sync_ROB1_POS1;
	  !
	  MoveExtJ jt_3,vrot50,fine;
	  WaitSyncTask idCalBaseFrame_Stn2_3,sync_ROB1_POS1;
	  !
	  MoveExtJ jt_4,vrot50,fine;
	  WaitSyncTask idCalBaseFrame_Stn2_4,sync_ROB1_POS1;
	  !
	  MoveExtJ jt_1,vrot10,fine;
	  WaitSyncTask idCalBaseFrame_Stn2_5,sync_ROB1_POS1;
  ENDPROC

ENDMODULE