%%%
   VERSION: 1
   LANGUAGE: ENGLISH
%%%

MODULE mSetup
  CONST ee_event peSetupMenuLang:=[EE_START,"mSetup:ChangeMenuLang","",1,255];    
  !
	TASK PERS  menudata md1CalBaseFrame_Stn1:=["Calibration#Calibrate BaseFrame Stn 1","","CalBaseFrame_Stn1",1,"T_ROB1:T_POS1",1,FALSE,1,0,FALSE,0];
	TASK PERS  menudata md1CalBaseFrame_Stn2:=["Calibration#Calibrate BaseFrame Stn 2","","CalBaseFrame_Stn2",2,"T_ROB1:T_POS1",1,FALSE,1,0,FALSE,0];
  !
	VAR syncident idCalBaseFrame_Stn1_1;
	VAR syncident idCalBaseFrame_Stn1_2;
	VAR syncident idCalBaseFrame_Stn1_3;
	VAR syncident idCalBaseFrame_Stn1_4;
	VAR syncident idCalBaseFrame_Stn1_5;
  !
  VAR syncident idCalBaseFrame_Stn2_1;
	VAR syncident idCalBaseFrame_Stn2_2;
	VAR syncident idCalBaseFrame_Stn2_3;
	VAR syncident idCalBaseFrame_Stn2_4;
	VAR syncident idCalBaseFrame_Stn2_5;
  !
	CONST jointtarget jt_1:=[[0,0,0,0,0,0],[9E9,9E9,9E9,9E9,0,9E9]];
	CONST jointtarget jt_2:=[[0,0,0,0,0,0],[9E9,9E9,9E9,9E9,30,9E9]];
	CONST jointtarget jt_3:=[[0,0,0,0,0,0],[9E9,9E9,9E9,9E9,60,9E9]];
	CONST jointtarget jt_4:=[[0,0,0,0,0,0],[9E9,9E9,9E9,9E9,90,9E9]];

  !---------------------------------------------------------------------------
  ! Procedure ChangeMenuLang
  !---------------------------------------------------------------------------
  LOCAL PROC ChangeMenuLang(\switch dummy)
    !
    pmSetMenuDataDesc "md1CalBaseFrame_Stn1","Calibration",TextResGet(TextResTabGet("CalibToolsText"),28);
    pmSetMenuDataDesc "md1CalBaseFrame_Stn2","Calibration",TextResGet(TextResTabGet("CalibToolsText"),29);
    !
  ENDPROC  
    
  PROC CalBaseFrame_Stn1()
	  ActUnit STN1;
	  MoveExtJ jt_1,vrot50,fine;
	  WaitSyncTask idCalBaseFrame_Stn1_1,sync_ROB1_POS1;
	  !
	  MoveExtJ jt_2,vrot50,fine;
	  WaitSyncTask idCalBaseFrame_Stn1_2,sync_ROB1_POS1;
	  !
	  MoveExtJ jt_3,vrot50,fine;
	  WaitSyncTask idCalBaseFrame_Stn1_3,sync_ROB1_POS1;
	  !
	  MoveExtJ jt_4,vrot50,fine;
	  WaitSyncTask idCalBaseFrame_Stn1_4,sync_ROB1_POS1;
	  !
	  MoveExtJ jt_1,vrot10,fine;
	  WaitSyncTask idCalBaseFrame_Stn1_5,sync_ROB1_POS1;
	  DeactUnit STN1;
  ENDPROC

  PROC CalBaseFrame_Stn2()
	  ActUnit STN2;
	  MoveExtJ jt_1,vrot50,fine;
	  WaitSyncTask idCalBaseFrame_Stn2_1,sync_ROB1_POS1;
	  !
	  MoveExtJ jt_2,vrot50,fine;
	  WaitSyncTask idCalBaseFrame_Stn2_2,sync_ROB1_POS1;
	  !
	  MoveExtJ jt_3,vrot50,fine;
	  WaitSyncTask idCalBaseFrame_Stn2_3,sync_ROB1_POS1;
	  !
	  MoveExtJ jt_4,vrot50,fine;
	  WaitSyncTask idCalBaseFrame_Stn2_4,sync_ROB1_POS1;
	  !
	  MoveExtJ jt_1,vrot10,fine;
	  WaitSyncTask idCalBaseFrame_Stn2_5,sync_ROB1_POS1;
	  DeactUnit STN2;	  
  ENDPROC
ENDMODULE