%%%
   VERSION: 1
   LANGUAGE: ENGLISH
%%%

MODULE mSetup
	!
  !**********************************************************
  !GAP EVENT                                                *
  !**********************************************************
  !   
  CONST ee_event peSetupMenuLang:=[EE_START,"mSetup:ChangeMenuLang","",1,255];    
  !	
	TASK PERS  menudata md1CalBaseFrame_Stn1:=["Calibration#Calibrate BaseFrame Stn1","","CalBaseFrame_Stn1",1,"T_ROB1:T_POS1",1,FALSE,1,0,FALSE,0];
	TASK PERS  menudata md1CalBaseFrame_Stn2 := ["Calibration#Calibrate BaseFrame Stn2","","CalBaseFrame_Stn2",2,"T_ROB1:T_POS1",1,FALSE,1,0,FALSE,0];
	TASK PERS  menudata md1Cal_R2_BaseFrame:=["Calibration#Calibrate R2 BaseFrame","","Cal_R2_BaseFrame",3,"T_ROB1:T_ROB2",1,FALSE,1,0,FALSE,0];
  !
	TASK PERS pm_setupflag bpmR2_BaseFrame:=[FALSE,"md1Cal_R2_BaseFrame",2,""];
	TASK PERS pm_setupflag bpCalBaseFrame_Stn1:=[FALSE,"md1CalBaseFrame_Stn1",2,""];
	TASK PERS pm_setupflag bpCalBaseFrame_Stn2:=[FALSE,"md1CalBaseFrame_Stn2",2,""];
  !
	VAR syncident idCalBaseFrame_Stn1_1;
	VAR syncident idCalBaseFrame_Stn1_2;
	VAR syncident idCalBaseFrame_Stn1_3;
	VAR syncident idCalBaseFrame_Stn1_4;
	VAR syncident idCalBaseFrame_Stn1_5;
	!
	VAR syncident idCalBaseFrame_Stn2_1;
	VAR syncident idCalBaseFrame_Stn2_2;
	VAR syncident idCalBaseFrame_Stn2_3;
	VAR syncident idCalBaseFrame_Stn2_4;
	VAR syncident idCalBaseFrame_Stn2_5;	
  !
 	VAR syncident idR2_BaseFrame_1;
	VAR syncident idR2_BaseFrame_2;
	VAR syncident idR2_BaseFrame_3;
	VAR syncident idR2_BaseFrame_4;
	VAR syncident idR2_BaseFrame_5;
	VAR syncident idR2_BaseFrame_6;
	VAR syncident idR2_BaseFrame_7;

	CONST pm_calibdata clBaseFrameStn1_1:=[TRUE,FALSE,"md1CalBaseFrame_Stn1",50,20,"","CalibHeadStock_1.gif",15,5,"","CalibHeadStock_CloseUp.gif",[0,0,1]];
	CONST pm_calibdata clBaseFrameStn1_2:=[TRUE,FALSE,"md1CalBaseFrame_Stn1",50,20,"","CalibHeadStock_2.gif",15,5,"","CalibHeadStock_CloseUp.gif",[0,0,1]];
	CONST pm_calibdata clBaseFrameStn1_3:=[TRUE,FALSE,"md1CalBaseFrame_Stn1",50,20,"","CalibHeadStock_3.gif",15,5,"","CalibHeadStock_CloseUp.gif",[0,0,1]];
	CONST pm_calibdata clBaseFrameStn1_4:=[TRUE,FALSE,"md1CalBaseFrame_Stn1",50,20,"","CalibHeadStock_4.gif",15,5,"","CalibHeadStock_CloseUp.gif",[0,0,1]];
  !
	CONST pm_calibdata clBaseFrameStn2_1:=[TRUE,FALSE,"md1CalBaseFrame_Stn2",50,20,"","CalibHeadStock_1.gif",15,5,"","CalibHeadStock_CloseUp.gif",[0,0,1]];
	CONST pm_calibdata clBaseFrameStn2_2:=[TRUE,FALSE,"md1CalBaseFrame_Stn2",50,20,"","CalibHeadStock_2.gif",15,5,"","CalibHeadStock_CloseUp.gif",[0,0,1]];
	CONST pm_calibdata clBaseFrameStn2_3:=[TRUE,FALSE,"md1CalBaseFrame_Stn2",50,20,"","CalibHeadStock_3.gif",15,5,"","CalibHeadStock_CloseUp.gif",[0,0,1]];
	CONST pm_calibdata clBaseFrameStn2_4:=[TRUE,FALSE,"md1CalBaseFrame_Stn2",50,20,"","CalibHeadStock_4.gif",15,5,"","CalibHeadStock_CloseUp.gif",[0,0,1]];
  !
	CONST pm_calibdata clr2_BaseFrame:=[TRUE,FALSE,"md1Cal_R2_BaseFrame",100,20,"Wait for R2 to complete move","",15,5,"","",[0,0,1]];

  CONST extjoint exStnTo_0:=[9E+09,9E+09,9E+09,9E+09,0,9E+09];
	!
  !
	CONST robtarget pBaseFrameStn1_1:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
	CONST robtarget pBaseFrameStn1_2:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
	CONST robtarget pBaseFrameStn1_3:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
	CONST robtarget pBaseFrameStn1_4:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
  CONST robtarget pBaseFrameStn1_Z:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
  !
	CONST robtarget pBaseFrameStn2_1:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
	CONST robtarget pBaseFrameStn2_2:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
	CONST robtarget pBaseFrameStn2_3:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
	CONST robtarget pBaseFrameStn2_4:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
  CONST robtarget pBaseFrameStn2_Z:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];

	CONST robtarget pR2_BaseFrame_1:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
	CONST robtarget pR2_BaseFrame_2:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
	CONST robtarget pR2_BaseFrame_3:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
	CONST robtarget pR2_BaseFrame_4:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
	CONST robtarget pR2_BaseFrame_5:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
  !
  !---------------------------------------------------------------------------
  ! Procedure ChangeMenuLang
  !---------------------------------------------------------------------------
  LOCAL PROC ChangeMenuLang(\switch dummy)
    !
    pmSetMenuDataDesc "md1CalBaseFrame_Stn1","Calibration",TextResGet(TextResTabGet("CalibToolsText"),28);
    pmSetMenuDataDesc "md1CalBaseFrame_Stn2","Calibration",TextResGet(TextResTabGet("CalibToolsText"),29);
    pmSetMenuDataDesc "md1Cal_R2_BaseFrame","Calibration",TextResGet(TextResTabGet("CalibToolsText"),30);
    !
  ENDPROC   
  !  
  PROC CalBaseFrame_Stn1()
  	CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0;
	  pmUIMenuMsgBox md1CalBaseFrame_Stn1\RequireManualMode\AllMoveTasks\Image:="CalibHeadStock.gif";
	  CellMoveJ pBaseFrameStn1_Z,v1000,z100,tWeldgun\WObj:=wobj0;
	  CellMoveJ pBaseFrameStn1_1,v100,fine,tWeldgun\WObj:=wobj0\CalibData:=clBaseFrameStn1_1;
	  WaitSyncTask idCalBaseFrame_Stn1_1,sync_ROB1_POS1;
	  CellMoveL pBaseFrameStn1_2,v100,fine,tWeldgun\WObj:=wobj0\CalibData:=clBaseFrameStn1_2;
	  WaitSyncTask idCalBaseFrame_Stn1_2,sync_ROB1_POS1;
	  CellMoveL pBaseFrameStn1_3,v100,fine,tWeldgun\WObj:=wobj0\CalibData:=clBaseFrameStn1_3;
	  WaitSyncTask idCalBaseFrame_Stn1_3,sync_ROB1_POS1;
	  CellMoveL pBaseFrameStn1_4,v100,fine,tWeldgun\WObj:=wobj0\CalibData:=clBaseFrameStn1_4;
	  WaitSyncTask idCalBaseFrame_Stn1_4,sync_ROB1_POS1;
	  CellMoveAbsJ jtHome,v100,fine,tWeldgun\WObj:=wobj0;
	  CalSingleBaseFrameMulti STN1,pBaseFrameStn1_1,pBaseFrameStn1_2,pBaseFrameStn1_3,pBaseFrameStn1_4,pBaseFrameStn1_Z;
	  SetSetupFlag bpCalBaseFrame_Stn1;
	  WaitSyncTask idCalBaseFrame_Stn1_5,sync_ROB1_POS1;
  ENDPROC
  
  PROC CalBaseFrame_Stn2()
  	CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0;
	  pmUIMenuMsgBox md1CalBaseFrame_Stn2\RequireManualMode\AllMoveTasks\Image:="CalibHeadStock.gif";
	  CellMoveJ pBaseFrameStn2_Z,v1000,z100,tWeldgun\WObj:=wobj0;
	  CellMoveJ pBaseFrameStn2_1,v100,fine,tWeldgun\WObj:=wobj0\CalibData:=clBaseFrameStn2_1;
	  WaitSyncTask idCalBaseFrame_Stn2_1,sync_ROB1_POS1;
	  CellMoveL pBaseFrameStn2_2,v100,fine,tWeldgun\WObj:=wobj0\CalibData:=clBaseFrameStn2_2;
	  WaitSyncTask idCalBaseFrame_Stn2_2,sync_ROB1_POS1;
	  CellMoveL pBaseFrameStn2_3,v100,fine,tWeldgun\WObj:=wobj0\CalibData:=clBaseFrameStn2_3;
	  WaitSyncTask idCalBaseFrame_Stn2_3,sync_ROB1_POS1;
	  CellMoveL pBaseFrameStn2_4,v100,fine,tWeldgun\WObj:=wobj0\CalibData:=clBaseFrameStn2_4;
	  WaitSyncTask idCalBaseFrame_Stn2_4,sync_ROB1_POS1;
	  CellMoveAbsJ jtHome,v100,fine,tWeldgun\WObj:=wobj0;
	  CalSingleBaseFrameMulti STN2,pBaseFrameStn2_1,pBaseFrameStn2_2,pBaseFrameStn2_3,pBaseFrameStn2_4,pBaseFrameStn2_Z;
	  SetSetupFlag bpCalBaseFrame_Stn2;
	  WaitSyncTask idCalBaseFrame_Stn2_5,sync_ROB1_POS1;
    ! 
  ENDPROC
  !
  PROC Cal_R2_BaseFrame()
  	CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0;
	  pmUIMenuMsgBox md1Cal_R2_BaseFrame\RequireManualMode\StopExecution\AllMoveTasks;
	  WaitSyncTask idR2_BaseFrame_1,sync_rob_tasks;
	  CellMoveJ pR2_BaseFrame_1,v100,fine,tWeldgun\WObj:=wobj0\CalibData:=clr2_BaseFrame;
	  WaitSyncTask idR2_BaseFrame_2,sync_rob_tasks;
	  CellMoveL pR2_BaseFrame_2,v100,fine,tWeldgun\WObj:=wobj0\CalibData:=clr2_BaseFrame;
	  WaitSyncTask idR2_BaseFrame_3,sync_rob_tasks;
	  CellMoveL pR2_BaseFrame_3,v100,fine,tWeldgun\WObj:=wobj0\CalibData:=clr2_BaseFrame;
  	WaitSyncTask idR2_BaseFrame_4,sync_rob_tasks;
	  CellMoveL pR2_BaseFrame_4,v100,fine,tWeldgun\WObj:=wobj0\CalibData:=clr2_BaseFrame;
	  WaitSyncTask idR2_BaseFrame_5,sync_rob_tasks;
	  CellMoveL pR2_BaseFrame_5,v100,fine,tWeldgun\WObj:=wobj0\CalibData:=clr2_BaseFrame;
	  WaitSyncTask idR2_BaseFrame_6,sync_rob_tasks;
  	CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0;
	  SetSetupFlag bpmR2_BaseFrame;
	  CalRobotBaseFrameMulti ROB_2,pR2_BaseFrame_1,pR2_BaseFrame_2,pR2_BaseFrame_3,pR2_BaseFrame_4,pR2_BaseFrame_5;
	  WaitSyncTask idR2_BaseFrame_7,sync_rob_tasks;
  ENDPROC
ENDMODULE