%%%
   VERSION: 1
   LANGUAGE: ENGLISH
%%%

MODULE mSetup
	!
  !**********************************************************
  !GAP EVENT                                                *
  !**********************************************************
  !   
  CONST ee_event peSetupMenuLang:=[EE_START,"mSetup:ChangeMenuLang","",1,255];    
  !
  CONST extax_mask mskMoveAllExtAxes:=[TRUE,TRUE,TRUE,TRUE,TRUE,TRUE];
  !	
	TASK PERS  menudata md1CalBaseFrame_Stn1:=["Calibration#Calibrate BaseFrame Stn1","","CalBaseFrame_Stn1",1,"T_ROB1",1,FALSE,1,0,FALSE,0];
	TASK PERS  menudata md1CalBaseFrame_Stn2 := ["Calibration#Calibrate BaseFrame Stn2","","CalBaseFrame_Stn2",2,"T_ROB1",255,FALSE,1,0,FALSE,0];
  !
	TASK PERS pm_setupflag bpCalBaseFrame_Stn1:=[FALSE,"md1CalBaseFrame_Stn1",2,""];
	TASK PERS pm_setupflag bpCalBaseFrame_Stn2:=[FALSE,"md1CalBaseFrame_Stn2",2,""];
  !
	CONST pm_calibdata clBaseFrameStn1_1:=[TRUE,FALSE,"md1CalBaseFrame_Stn1",50,20,"","CalibHeadStock_1.gif",15,5,"","CalibHeadStock_CloseUp.gif",[0,0,1]];
	CONST pm_calibdata clBaseFrameStn1_2:=[TRUE,FALSE,"md1CalBaseFrame_Stn1",50,20,"","CalibHeadStock_2.gif",15,5,"","CalibHeadStock_CloseUp.gif",[0,0,1]];
	CONST pm_calibdata clBaseFrameStn1_3:=[TRUE,FALSE,"md1CalBaseFrame_Stn1",50,20,"","CalibHeadStock_3.gif",15,5,"","CalibHeadStock_CloseUp.gif",[0,0,1]];
	CONST pm_calibdata clBaseFrameStn1_4:=[TRUE,FALSE,"md1CalBaseFrame_Stn1",50,20,"","CalibHeadStock_4.gif",15,5,"","CalibHeadStock_CloseUp.gif",[0,0,1]];
  !
	CONST pm_calibdata clBaseFrameStn2_1:=[TRUE,FALSE,"md1CalBaseFrame_Stn2",50,20,"","CalibHeadStock_1.gif",15,5,"","CalibHeadStock_CloseUp.gif",[0,0,1]];
	CONST pm_calibdata clBaseFrameStn2_2:=[TRUE,FALSE,"md1CalBaseFrame_Stn2",50,20,"","CalibHeadStock_2.gif",15,5,"","CalibHeadStock_CloseUp.gif",[0,0,1]];
	CONST pm_calibdata clBaseFrameStn2_3:=[TRUE,FALSE,"md1CalBaseFrame_Stn2",50,20,"","CalibHeadStock_3.gif",15,5,"","CalibHeadStock_CloseUp.gif",[0,0,1]];
	CONST pm_calibdata clBaseFrameStn2_4:=[TRUE,FALSE,"md1CalBaseFrame_Stn2",50,20,"","CalibHeadStock_4.gif",15,5,"","CalibHeadStock_CloseUp.gif",[0,0,1]];
  !
  CONST extjoint exStnTo_0:=[9E+09,9E+09,9E+09,9E+09,0,9E+09];
	!
  !
	CONST robtarget pBaseFrameStn1_1:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
	CONST robtarget pBaseFrameStn1_2:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
	CONST robtarget pBaseFrameStn1_3:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
	CONST robtarget pBaseFrameStn1_4:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
  CONST robtarget pBaseFrameStn1_5:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
  !
	CONST robtarget pBaseFrameStn2_1:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
	CONST robtarget pBaseFrameStn2_2:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
	CONST robtarget pBaseFrameStn2_3:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
	CONST robtarget pBaseFrameStn2_4:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
  CONST robtarget pBaseFrameStn2_5:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];

  !
  !---------------------------------------------------------------------------
  ! Procedure ChangeMenuLang
  !---------------------------------------------------------------------------
  LOCAL PROC ChangeMenuLang(\switch dummy)
    !
    pmSetMenuDataDesc "md1CalBaseFrame_Stn1","Calibration",TextResGet(TextResTabGet("CalibToolsText"),28);
    pmSetMenuDataDesc "md1CalBaseFrame_Stn2","Calibration",TextResGet(TextResTabGet("CalibToolsText"),29);
    !
  ENDPROC   
  !  
  PROC CalBaseFrame_Stn1()
	 	ActUnitFlex STN1;
  	CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0\ExtJointValues:=exStnTo_0;
	  pmUIMenuMsgBox md1CalBaseFrame_Stn1\RequireManualMode\AllMoveTasks\Image:="CalibHeadStock.gif";
	  CellMoveJ pBaseFrameStn1_1,v1000,fine,tWeldgun\WObj:=wobj0\ExtAxMask:=mskMoveAllExtAxes\CalibData:=clBaseFrameStn1_1;
	  CellMoveL pBaseFrameStn1_2,v1000,fine,tWeldgun\WObj:=wobj0\ExtAxMask:=mskMoveAllExtAxes\CalibData:=clBaseFrameStn1_2;
	  CellMoveL pBaseFrameStn1_3,v1000,fine,tWeldgun\WObj:=wobj0\ExtAxMask:=mskMoveAllExtAxes\CalibData:=clBaseFrameStn1_3;
	  CellMoveL pBaseFrameStn1_4,v1000,fine,tWeldgun\WObj:=wobj0\ExtAxMask:=mskMoveAllExtAxes\CalibData:=clBaseFrameStn1_4;
	  CellMoveL pBaseFrameStn1_5,v1000,fine,tWeldgun\WObj:=wobj0\ExtAxMask:=mskMoveAllExtAxes;
  	CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0\ExtJointValues:=exStnTo_0;
	  CalSingleBaseFrame STN1,pBaseFrameStn1_1,pBaseFrameStn1_2,pBaseFrameStn1_3,pBaseFrameStn1_4;
 	  DeactUnit STN1;
    SetSetupFlag bpCalBaseFrame_Stn1;
  ENDPROC
  
  PROC CalBaseFrame_Stn2()
	 	ActUnitFlex STN2;
  	CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0\ExtJointValues:=exStnTo_0;
	  pmUIMenuMsgBox md1CalBaseFrame_Stn2\StopExecution\AllMoveTasks\Image:="CalibHeadStock.gif";
	  CellMoveJ pBaseFrameStn2_1,v100,fine,tWeldgun\WObj:=wobj0\ExtAxMask:=mskMoveAllExtAxes\CalibData:=clBaseFrameStn2_1;
	  CellMoveL pBaseFrameStn2_2,v100,fine,tWeldgun\WObj:=wobj0\ExtAxMask:=mskMoveAllExtAxes\CalibData:=clBaseFrameStn2_2;
	  CellMoveL pBaseFrameStn2_3,v100,fine,tWeldgun\WObj:=wobj0\ExtAxMask:=mskMoveAllExtAxes\CalibData:=clBaseFrameStn2_3;
	  CellMoveL pBaseFrameStn2_4,v100,fine,tWeldgun\WObj:=wobj0\ExtAxMask:=mskMoveAllExtAxes\CalibData:=clBaseFrameStn2_4;
	  CellMoveL pBaseFrameStn2_5,v1000,fine,tWeldgun\WObj:=wobj0\ExtAxMask:=mskMoveAllExtAxes;
	  CellMoveAbsJ jtHome,v100,fine,tWeldgun\WObj:=wobj0\ExtJointValues:=exStnTo_0;
	  CalSingleBaseFrame STN2,pBaseFrameStn2_1,pBaseFrameStn2_2,pBaseFrameStn2_3,pBaseFrameStn2_4;
    DeactUnit STN2;
    SetSetupFlag bpCalBaseFrame_Stn2;
	ENDPROC
  !
ENDMODULE