mkdir -path $HOME/FlexArc
mkdir -path $HOME/FlexArc/TC97

setvar -var 10 -value 0
getkey -id "ProcessType" -var 10 -strvar $ANSWER -errlabel SINGLE_ARC
goto -strvar $ANSWER
#MUPROC
config -filename $BOOTPATH/Cell/Tc/Tc97/cfg/eio/Lumberg_Unit_Type.cfg -domain EIO
config -filename $BOOTPATH/Cell/Tc/Tc97/cfg/eio/Lumberg_eio_R1.cfg -domain EIO -replace
config -filename $BOOTPATH/Cell/Tc/Tc97/cfg/eio/Lumberg_eio_R2.cfg -domain EIO -replace
#
config -filename $BOOTPATH/Cell/Tc/Tc97/cfg/proc/Proc_TC97_R1.cfg -domain proc -replace
config -filename $BOOTPATH/Cell/Tc/Tc97/cfg/proc/Proc_TC97_R2.cfg -domain proc -replace
#
copy -from $BOOTPATH/Cell/Tc/Tc97/Code/sTcAutoCycleR1.sys -to $HOME/FlexArc/Tc97/sTcAutoCycleR1.sys
copy -from $BOOTPATH/Cell/Tc/Tc97/Code/sTcAutoCycleR2.sys -to $HOME/FlexArc/Tc97/sTcAutoCycleR2.sys
config -filename $BOOTPATH/Cell/Tc/Tc97/cfg/sys/sTcAutoCycleR1.cfg -domain SYS
config -filename $BOOTPATH/Cell/Tc/Tc97/cfg/sys/sTcAutoCycleR2.cfg -domain SYS

setvar -var 10 -value 0
getkey -id "Layer" -var 10 -strvar $ANSWER -errlabel ALLCODE
goto -strvar $ANSWER
#ALLCODE
copy -from $BOOTPATH/Cell/Tc/Tc97/Code/mTc97R1.mod -to $HOME/FlexArc/Tc97/mTc97R1.mod
copy -from $BOOTPATH/Cell/Tc/Tc97/Code/mTc97R2.mod -to $HOME/FlexArc/Tc97/mTc97R2.mod
config -filename $BOOTPATH/Cell/Tc/Tc97/cfg/sys/sTc97R1.cfg -domain SYS
config -filename $BOOTPATH/Cell/Tc/Tc97/cfg/sys/sTc97R2.cfg -domain SYS

#Layer
goto -label END_SCRIPT

#SINGLE_ARC
config -filename $BOOTPATH/Cell/Tc/Tc97/cfg/eio/Lumberg_Unit_Type.cfg -domain EIO
config -filename $BOOTPATH/Cell/Tc/Tc97/cfg/eio/Lumberg_eio_R1.cfg -domain EIO -replace
config -filename $BOOTPATH/Cell/Tc/Tc97/cfg/proc/Proc_TC97_R1.cfg -domain proc -replace

#
copy -from $BOOTPATH/Cell/Tc/Tc97/Code/sTcAutoCycleR1.sys -to $HOME/FlexArc/Tc97/sTcAutoCycleR1.sys
config -filename $BOOTPATH/Cell/Tc/Tc97/cfg/sys/sTcAutoCycleR1.cfg -domain SYS


setvar -var 10 -value 0
getkey -id "Layer" -var 10 -strvar $ANSWER -errlabel ALLCODE
goto -strvar $ANSWER
#ALLCODE
copy -from $BOOTPATH/Cell/Tc/Tc97/Code/mTc97R1.mod -to $HOME/FlexArc/Tc97/mTc97R1.mod
config -filename $BOOTPATH/Cell/Tc/Tc97/cfg/sys/sTc97R1.cfg -domain SYS

#Layer
#END_SCRIPT