mkdir -path $HOME/FlexArc
##############################################################################
# Register path to GUI (Images can be stored here)
##############################################################################
register -type option -description fpdefault -path $BOOTPATH/VisualFlexArc

##############################################################################
# Install CellLayer configuration 
##############################################################################
include -path $BOOTPATH/Cell/CellLayer/install.cmd

##############################################################################
# Install RollUp Door configuration 
##############################################################################
include -path $BOOTPATH/Cell/RollUpDoor/install.cmd

##############################################################################
# Install Bullseye configuration 
##############################################################################
include -path $BOOTPATH/Cell/Bullseye/install.cmd

##############################################################################
# Install Torch Service configuration 
##############################################################################
include -path $BOOTPATH/Cell/Tc/install.cmd
##############################################################################
# Install PLC configuration 
##############################################################################
include -path $BOOTPATH/Cell/PLC/install.cmd

##############################################################################
#Install Language support for VisualFlexArc GUI
##############################################################################
setstr -strvar $TMP -value $BOOTPATH
setstr -strvar $BOOTPATH -value "$TMP/VisualFlexArc"
include -path "$RELEASE/system/instlang.cmd"
setstr -strvar $BOOTPATH -value "$TMP"

##############################################################################
#Install Language Support for CellLayer 
##############################################################################
setstr -strvar $TMP -value $BOOTPATH
setstr -strvar $BOOTPATH -value "$TMP/Cell"
setstr -strvar $BOOTPATH -value "$TMP/Cell/TXT"
include -path "$RELEASE/system/instlang.cmd"
setstr -strvar $BOOTPATH -value "$TMP"

echo -text "FlexArc install done ..."
#END_SCRIPT