%%%
   VERSION: 1
   LANGUAGE: ENGLISH
%%%

MODULE mSetup
  CONST ee_event peSetupMenuLang:=[EE_START,"mSetup:ChangeMenuLang","",1,255];    
	TASK PERS  menudata md1Cal_R2_BaseFrame:=["Calibration#Calibrate R2 BaseFrame","","Cal_R2_BaseFrame",3,"T_ROB1:T_ROB2",1,FALSE,1,0,FALSE,0];
	CONST pm_calibdata clR2_BaseFrame:=[FALSE,FALSE,"",100,50,"","",15,20,"","",[0,-1,0]];
	
	VAR syncident idR2_BaseFrame_1;
	VAR syncident idR2_BaseFrame_2;
	VAR syncident idR2_BaseFrame_3;
	VAR syncident idR2_BaseFrame_4;
	VAR syncident idR2_BaseFrame_5;
	VAR syncident idR2_BaseFrame_6;
	VAR syncident idR2_BaseFrame_7;

	CONST jointtarget jtR2_BaseFrame_1:=[[0,0,0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];
	CONST jointtarget jtR2_BaseFrame_2:=[[0,0,0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];
	CONST jointtarget jtR2_BaseFrame_3:=[[0,0,0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];
	CONST jointtarget jtR2_BaseFrame_4:=[[0,0,0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];
	CONST jointtarget jtR2_BaseFrame_5:=[[0,0,0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];

  !---------------------------------------------------------------------------
  ! Procedure ChangeMenuLang
  !---------------------------------------------------------------------------
  LOCAL PROC ChangeMenuLang(\switch dummy)
    !
    pmSetMenuDataDesc "md1Cal_R2_BaseFrame","Calibration",TextResGet(TextResTabGet("CalibToolsText"),30);
    !
  ENDPROC   
    
  PROC Cal_R2_BaseFrame()
  	CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0;
	  WaitSyncTask idR2_BaseFrame_1,sync_rob_tasks;
	  CellMoveAbsJ jtR2_BaseFrame_1,v200,fine,tWeldgun\WObj:=wobj0\CalibData:=clR2_BaseFrame;
	  !
	  WaitSyncTask idR2_BaseFrame_2,sync_rob_tasks;
	  CellMoveAbsJ jtR2_BaseFrame_2,v200,fine,tWeldgun\WObj:=wobj0\CalibData:=clR2_BaseFrame;
	  !
	  WaitSyncTask idR2_BaseFrame_3,sync_rob_tasks;
	  CellMoveAbsJ jtR2_BaseFrame_3,v200,fine,tWeldgun\WObj:=wobj0\CalibData:=clR2_BaseFrame;
	  !
	  WaitSyncTask idR2_BaseFrame_4,sync_rob_tasks;
	  CellMoveAbsJ jtR2_BaseFrame_4,v200,fine,tWeldgun\WObj:=wobj0\CalibData:=clR2_BaseFrame;
	  !
	  WaitSyncTask idR2_BaseFrame_5,sync_rob_tasks;
	  CellMoveAbsJ jtR2_BaseFrame_5,v200,fine,tWeldgun\WObj:=wobj0\CalibData:=clR2_BaseFrame;
	  !
	  CalRobotBaseFrameR2Multi ROB_2,jtR2_BaseFrame_1,jtR2_BaseFrame_2,jtR2_BaseFrame_3,jtR2_BaseFrame_4,jtR2_BaseFrame_5,tWeldgun;
	  WaitSyncTask idR2_BaseFrame_6,sync_rob_tasks;
	  !
  	CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0;
	  WaitSyncTask idR2_BaseFrame_7,sync_rob_tasks;
    !
  ENDPROC
ENDMODULE