%%%
   VERSION: 1
   LANGUAGE: ENGLISH
%%%

MODULE mService
	CONST menudata md1MoveToService:=["Cell#Move to Service Position","GAP_ServPocket.gif","MoveToService",3,"T_ROB1",1,FALSE,2,0,FALSE,0];
	CONST menudata md1MoveToSync:=["Cell#Move Robot To Sync Position","","MoveToSync",3,"T_ROB1",1,FALSE,2,0,FALSE,0];
	CONST menudata md1MechCleanGun:=["Cell#Mech Clean Gun","","MechCleanGun",3,"T_ROB1",1,FALSE,2,0,FALSE,0];

  !	
	CONST jointtarget jtSyncPos:=[[0,0,0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];
	CONST jointtarget jtHome:=[[1.85178E-06,-30.6026,-11.3325,-2.17637E-06,86.935,20.0001],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
	! 
	CONST robtarget pApprService:=[[0,0,0],[1,0,0,0],[0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];
	CONST robtarget pAtService:=[[0,0,0],[1,0,0,0],[0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];
	CONST robtarget pApproachTC:=[[0,0,0],[1,0,0,0],[0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];
	CONST robtarget pApproachClean:=[[0,0,0],[1,0,0,0],[0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];
	CONST robtarget pMechClean:=[[0,0,0],[1,0,0,0],[0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];
	CONST robtarget pApproachSpray:=[[0,0,0],[1,0,0,0],[0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];
	CONST robtarget pSpray:=[[0,0,0],[1,0,0,0],[0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];

	VAR wztemporary wzAtSafe;
  !
	CONST pm_initmovedata imvMoveToHome:=[1,100,"Robot Home Position","RobotAtHome.gif"];
	
  PROC MechCleanGun()
    !
    ShowWarningIfNotSetup pmbModifyCleanGun;
    CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0\Signal:=soAtSafeR1_1\WorldZone:=wzAtSafe;
  	!
  	pmUIMenuMsgBox md1SetupMCGun\ShowSetupOnly\RequireManualMode\StopExecution\AllMoveTasks;
		CellMoveJ pApproachTC,v1000,z10,tWeldGun\WObj:=wobj0;
    !
    MoveMechCleanL pApproachClean,pMechClean,v200,z1,tWeldgun;
    MoveSprayL pApproachSpray,pSpray,v200,fine,tWeldgun;
	  !
		CellMoveJ pApproachTC,v1000,z10,tWeldGun\WObj:=wobj0;
    CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0\Signal:=soAtSafeR1_1\WorldZone:=wzAtSafe;
    !
  ENDPROC
	
	
  PROC MoveToService()
	  ShowWarningIfNotSetup bpmSetupService;
	  pmUIMenuMsgBox md1upGoToService\ShowSetupOnly\RequireManualMode\StopExecution\AllMoveTasks;
	  CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0;
	  CellMoveJ pApprService,v1000,z10,tWeldGun\WObj:=wobj0;
	  CellMoveL pAtService,v1000,fine,tWeldGun\WObj:=wobj0;
	  pmStopAtService\Image:="FlexServWindowLarge.gif";  
	  CellMoveL pApprService,v1000,z10,tWeldGun\WObj:=wobj0;
	  CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0;
  ENDPROC
  
  PROC MoveToSync()
	  CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0\Signal:=soAtSafeR1_1\WorldZone:=wzAtSafe\InitMoveCheck:=imvMoveToHome;
    CellMoveAbsJ jtSyncPos,v200,fine,tool0\WObj:=wobj0;
    pmUIMsgBox "RobotAtSync Position",""\StopOrContinue\Image:="Irb1600AtSyncLarge.gif";
	  CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0\Signal:=soAtSafeR1_1\WorldZone:=wzAtSafe;
  ENDPROC

  PROC MoveToHome()
    CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0\Signal:=soAtSafeR1_1\Worldzone:=wzAtSafe\InitMoveCheck:=imvMoveToHome;
  ENDPROC

  PROC BeforePartStn1()
	  CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0;
	  RecoveryPosSet\ServRoutine:="MoveToService";
  ENDPROC
  
  PROC BeforePartStn2()
	 CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0;
	 RecoveryPosSet\ServRoutine:="MoveToService";
  ENDPROC

  PROC AfterPartStn1()
	  CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0;
	  RecoveryPosReset;
  ENDPROC
  
  PROC AfterPartStn2()
	 CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0;
	 RecoveryPosReset;
 ENDPROC
ENDMODULE