%%%
   VERSION: 1
   LANGUAGE: ENGLISH
%%%

MODULE mSetup
	CONST menudata md2upGoToService:=["Cell#Setup Go To Service","GAP_ServPocket.gif","SetupGoToService",3,"T_ROB2",1,FALSE,1,0,FALSE,0];
	CONST menudata md2SetupMCGun:=["Cell#Setup MechCleanGun","","SetupMCGun",3,"T_ROB2",1,FALSE,1,0,FALSE,0];
	CONST menudata md2ModifyHomePos:=["Cell#Modify Home Pos","FlexArc250R_Single_50pixel.gif","ModifyHomePos",3,"T_ROB2",255,FALSE,1,0,FALSE,0];
	CONST menudata md1Cal_R2_BaseFrame:=["Calibration#Calibrate R2 BaseFrame","","Cal_R2_BaseFrame",3,"T_ROB1:T_ROB2",1,FALSE,1,0,FALSE,0];
  !
	TASK PERS pm_setupflag bpmSetupService:=[FALSE,"md2upGoToService",2,""];
  TASK PERS pm_setupflag pmbModifyHomePos:=[FALSE,"md2ModifyHomePos",3,""];
  TASK PERS pm_setupflag pmbModifyCleanGun:=[FALSE,"md2SetupMCGun",4,""];
	TASK PERS pm_calibdata clR2_BaseFrame:=[FALSE,FALSE,"",100,50,"","",15,20,"","",[0,-1,0]];
	
	VAR syncident idR2_BaseFrame_1;
	VAR syncident idR2_BaseFrame_2;
	VAR syncident idR2_BaseFrame_3;
	VAR syncident idR2_BaseFrame_4;
	VAR syncident idR2_BaseFrame_5;
	VAR syncident idR2_BaseFrame_6;
	VAR syncident idR2_BaseFrame_7;

  PERS tasks sync_all_tasks{3}:=[["T_ROB1"],["T_ROB2"],["T_POS1"]];
  PERS tasks sync_rob_tasks{2}:=[["T_ROB1"],["T_ROB2"]];
  PERS tasks sync_ROB1_POS1{2}:=[["T_ROB1"],["T_POS1"]];
  PERS tasks sync_ROB2_POS1{2}:=[["T_ROB2"],["T_POS1"]];
  
	CONST jointtarget jtR2_BaseFrame_1:=[[0,0,0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];
	CONST jointtarget jtR2_BaseFrame_2:=[[0,0,0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];
	CONST jointtarget jtR2_BaseFrame_3:=[[0,0,0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];
	CONST jointtarget jtR2_BaseFrame_4:=[[0,0,0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];
	CONST jointtarget jtR2_BaseFrame_5:=[[0,0,0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];

  PROC Cal_R2_BaseFrame()
	  MoveAbsJ jtHome,v100,fine,tWeldgun\WObj:=wobj0;
	  WaitSyncTask idR2_BaseFrame_1,sync_rob_tasks;
	  CellMoveAbsJ jtR2_BaseFrame_1,v200,fine,tWeldgun\WObj:=wobj0\CalibData:=clR2_BaseFrame;
	  !
	  WaitSyncTask idR2_BaseFrame_2,sync_rob_tasks;
	  CellMoveAbsJ jtR2_BaseFrame_2,v200,fine,tWeldgun\WObj:=wobj0\CalibData:=clR2_BaseFrame;
	  !
	  WaitSyncTask idR2_BaseFrame_3,sync_rob_tasks;
	  CellMoveAbsJ jtR2_BaseFrame_3,v200,fine,tWeldgun\WObj:=wobj0\CalibData:=clR2_BaseFrame;
	  !
	  WaitSyncTask idR2_BaseFrame_4,sync_rob_tasks;
	  CellMoveAbsJ jtR2_BaseFrame_4,v200,fine,tWeldgun\WObj:=wobj0\CalibData:=clR2_BaseFrame;
	  !
	  WaitSyncTask idR2_BaseFrame_5,sync_rob_tasks;
	  CellMoveAbsJ jtR2_BaseFrame_5,v200,fine,tWeldgun\WObj:=wobj0\CalibData:=clR2_BaseFrame;
	  !
	  CalRobotBaseFrameR2Multi ROB_2,jtR2_BaseFrame_1,jtR2_BaseFrame_2,jtR2_BaseFrame_3,jtR2_BaseFrame_4,jtR2_BaseFrame_5,tWeldgun;
	  WaitSyncTask idR2_BaseFrame_6,sync_rob_tasks;
	  !
	  MoveAbsJ jtHome,v100,fine,tWeldgun\WObj:=wobj0;
	  WaitSyncTask idR2_BaseFrame_7,sync_rob_tasks;
    !
  ENDPROC
  
  PROC SetupGoToService()
	  MoveToService;
	  SetSetupFlag bpmSetupService;
  ENDPROC
  
  PROC ModifyHomePos()
	  pmUIMenuMsgBox md2ModifyHomePos\ShowSetupOnly\RequireManualMode\StopExecution\AllMoveTasks;
	  CellMoveAbsJ jtHome,v100,fine,tWeldGun\WObj:=wobj0\InitMoveCheck:=imvMoveToHome;
	  SetSetupFlag pmbModifyHomePos;
    MoveToHome;	  
  ENDPROC
  
  PROC SetupMCGun()
	  MechCleanGun;
	  SetSetupFlag pmbModifyCleanGun;
  ENDPROC
ENDMODULE