#
# Property of ABB
#
# Install.cmd script for 5.0
#
# BUILD REV  = 1
# BUILD DATE = 2007/08/20
#
echo -text "Loading CalibTools Instructionset R1..."
config -filename $BOOTPATH/CalibTools/Cfg/mCalibTools.cfg -domain MMC -internal
config -filename $BOOTPATH/CalibTools/Cfg/sCalibToolsR1.cfg -domain SYS -internal
echo -text "Loading CalibTools Instructionset R1 done"

#
ifvc -label COPY_RS_TMPL
goto -label REALCTRL
#COPY_RS_TMPL
mkdir -path $HOME/RS
mkdir -path $HOME/RS/ActionInstructionDescriptions
copy -from $BOOTPATH/CalibTools/RS/CalMovingTool.xml -to $HOME/RS/ActionInstructionDescriptions/CalMovingTool.xml
copy -from $BOOTPATH/CalibTools/RS/CalObjectFrame.xml -to $HOME/RS/ActionInstructionDescriptions/CalObjectFrame.xml
copy -from $BOOTPATH/CalibTools/RS/CalObjectFrameCAD.xml -to $HOME/RS/ActionInstructionDescriptions/CalObjectFrameCAD.xml
copy -from $BOOTPATH/CalibTools/RS/CalRobotBaseFrameMulti.xml -to $HOME/RS/ActionInstructionDescriptions/CalRobotBaseFrameMulti.xml
copy -from $BOOTPATH/CalibTools/RS/CalRobotBaseFrameR2Multi.xml -to $HOME/RS/ActionInstructionDescriptions/CalRobotBaseFrameR2Multi.xml
copy -from $BOOTPATH/CalibTools/RS/CalSingleBaseFrame.xml -to $HOME/RS/ActionInstructionDescriptions/CalSingleBaseFrame.xml
copy -from $BOOTPATH/CalibTools/RS/CalSingleBaseFrameMulti.xml -to $HOME/RS/ActionInstructionDescriptions/CalSingleBaseFrameMulti.xml
#REALCTRL
#
setvar -var 10 -value 0
getkey -id "ProcessType" -var 10 -strvar $ANSWER -errlabel END_SCRIPT
goto -strvar $ANSWER

#MUPROC
echo -text "Loading CalibTools Instructionset R2..."
config -filename $BOOTPATH/CalibTools/Cfg/sCalibToolsR2.cfg -domain SYS -internal
echo -text "Loading CalibTools Instructionset R2 done"

#END_SCRIPT
setstr -strvar $TMP -value $BOOTPATH
setstr -strvar $BOOTPATH -value "$TMP/CalibTools"
setstr -strvar $BOOTPATH -value "$TMP/CalibTools/TXT"
include -path "$RELEASE/system/instlang.cmd"
setstr -strvar $BOOTPATH -value "$TMP"