#
# Property of ABB
#
# Install.cmd script for 5.0
#
# BUILD REV  = 1
# BUILD DATE = 2007/08/20
#
echo -text "Loading Pm Instructionset R1..."
#
echo -text "--> Loading PM_STRING_CONSTANTS Rules... "
register -type cfgrules -domain PROC -prepath $BOOTPATH/PmInst/rules/ -postpath pmInstSet_cfgrules.xml
register -type cfgtext -domain PROC -prepath $BOOTPATH/PmInst/Cfg_Language/ -postpath /pmInstSet_cfgtext.xml
invoke -entry cfg_create_proc_types_from_xml_def -strarg "pmInstSet_cfgrules" -nomode
echo -text "--> Loading PM_STRING_CONSTANTS Rules done "
#
config -filename $BOOTPATH/PmInst/cfg/mPmInstSet.cfg -domain MMC -internal
config -filename $BOOTPATH/PmInst/cfg/sPmInstSetR1.cfg -domain SYS -internal
#
config -filename $BOOTPATH/PmInst/cfg/sPmStartR1.cfg -domain SYS -internal
config -filename $BOOTPATH/PmInst/cfg/pCellSt_IndexR1.cfg -domain PROC
#
ifvc -label LOADVCCODE
goto -label REALCNTR
#LOADVCCODE
mkdir -path $HOME/RS
mkdir -path $HOME/RS/ActionInstructionDescriptions
mkdir -path $HOME/RS/MoveInstructionDescriptions
mkdir -path $HOME/RS/ProcessDefinitions
#
copy -from $BOOTPATH/PmInst/RS/pmStopAtService.xml -to $HOME/RS/ActionInstructionDescriptions/pmStopAtService.xml
copy -from $BOOTPATH/PmInst/RS/ExecProcByName.xml -to $HOME/RS/ActionInstructionDescriptions/ExecProcByName.xml
copy -from $BOOTPATH/PmInst/RS/ShowWarningIfNotSetup.xml -to $HOME/RS/ActionInstructionDescriptions/ShowWarningIfNotSetup.xml
copy -from $BOOTPATH/PmInst/RS/SetNum.xml -to $HOME/RS/ActionInstructionDescriptions/SetNum.xml
copy -from $BOOTPATH/PmInst/RS/SetSetupFlag.xml -to $HOME/RS/ActionInstructionDescriptions/SetSetupFlag.xml
copy -from $BOOTPATH/PmInst/RS/ResetSetupFlag.xml -to $HOME/RS/ActionInstructionDescriptions/ResetSetupFlag.xml
copy -from $BOOTPATH/PmInst/RS/SetBool.xml -to $HOME/RS/ActionInstructionDescriptions/SetBool.xml
copy -from $BOOTPATH/PmInst/RS/ResetBool.xml -to $HOME/RS/ActionInstructionDescriptions/ResetBool.xml
copy -from $BOOTPATH/PmInst/RS/pmUIMenuMsgBox.xml -to $HOME/RS/ActionInstructionDescriptions/pmUIMenuMsgBox.xml
copy -from $BOOTPATH/PmInst/RS/pmUIMsgBox.xml -to $HOME/RS/ActionInstructionDescriptions/pmUIMsgBox.xml
copy -from $BOOTPATH/PmInst/RS/BeOperation.xml -to $HOME/RS/ProcessDefinitions/BeOperation.xml
copy -from $BOOTPATH/PmInst/RS/ActUnitFlex.xml -to $HOME/RS/ActionInstructionDescriptions/ActUnitFlex.xml
copy -from $BOOTPATH/PmInst/RS/UpdateToPresent.xml -to $HOME/RS/ActionInstructionDescriptions/UpdateToPresent.xml
#
copy -from $BOOTPATH/PmInst/RS/BeOperationJ.xml -to $HOME/RS/MoveInstructionDescriptions/BeOperationJ.xml
copy -from $BOOTPATH/PmInst/RS/CellMoveAbsJ.xml -to $HOME/RS/MoveInstructionDescriptions/CellMoveAbsJ.xml
copy -from $BOOTPATH/PmInst/RS/CellMoveJ.xml -to $HOME/RS/MoveInstructionDescriptions/CellMoveJ.xml
copy -from $BOOTPATH/PmInst/RS/CellMoveL.xml -to $HOME/RS/MoveInstructionDescriptions/CellMoveL.xml
#
copy -from $BOOTPATH/PmInst/RS/CellMoveAbs.xml -to $HOME/RS/ProcessDefinitions/CellMoveAbs.xml
copy -from $BOOTPATH/PmInst/RS/CellMove.xml -to $HOME/RS/ProcessDefinitions/CellMove.xml
#

config -filename $BOOTPATH/PmInst/cfg/sPmUserMsgFlag.cfg -domain SYS -replace -internal
#REALCNTR

echo -text "Loading Pm Instructionset R1 done"

echo -text "Loading Pm Instructionset R2..."
config -filename $BOOTPATH/PmInst/cfg/sPmInstSetR2.cfg -domain SYS -internal
config -filename $BOOTPATH/PmInst/cfg/sPmStartR2.cfg -domain SYS -internal
config -filename $BOOTPATH/PmInst/cfg/pCellSt_IndexR2.cfg -domain PROC
echo -text "Loading Pm Instructionset R2 done"

echo -text "Loading Pm Instructionset P1..."
config -filename $BOOTPATH/PmInst/cfg/sPmIrbpInstSetP1.cfg -domain SYS -internal
config -filename $BOOTPATH/PmInst/cfg/sPmStartP1.cfg -domain SYS -internal
echo -text "Loading Pm Instructionset P1 done"

#END_SCRIPT
setstr -strvar $TMP -value $BOOTPATH
setstr -strvar $BOOTPATH -value "$TMP/PmInst"
setstr -strvar $BOOTPATH -value "$TMP/PmInst/TXT"
include -path "$RELEASE/system/instlang.cmd"
setstr -strvar $BOOTPATH -value "$TMP"
