mkdir -path $HOME/FlexArc/RollUpDoor

##############################################################################
# Check if RollUp Door option is selected   
##############################################################################
setvar -var 10 -value 0
getkey -id "Albany" -var 10 -strvar $ANSWER -errlabel END_SCRIPT
goto -strvar $ANSWER
#Albany

echo -text "Installing FlexArc RollUp Door files ..."

copy -from $BOOTPATH/Cell/RollUpDoor/Code/sRolldoor.sys -to $HOME/FlexArc/RollUpDoor/sRolldoor.sys
config -filename $BOOTPATH/Cell/RollUpDoor/cfg/sys/sAlbany.cfg -domain SYS 
config -filename $BOOTPATH/Cell/RollUpDoor/cfg/sys/sRolldoor.cfg -domain SYS -internal 
config -filename $BOOTPATH/Cell/RollUpDoor/cfg/eio/eio_sim_Rolldoor.cfg -domain EIO
config -filename $BOOTPATH/Cell/RollUpDoor/cfg/eio/eio_Board20_Rolldoor.cfg -domain EIO
config -filename $BOOTPATH/Cell/RollUpDoor/cfg/eio/eio_Pnoz_Rolldoor.cfg -domain EIO 
config -filename $BOOTPATH/Cell/RollUpDoor/cfg/mmc/mRolldoor.cfg -domain SYS -internal  

##############################################################################
# Check if PLC option is selected   
##############################################################################
setvar -var 10 -value 0
getkey -id "PLC" -var 10 -strvar $ANSWER -errlabel NO_PLC
goto -strvar $ANSWER

#PLC
goto -label END_SCRIPT

#NO_PLC
config -filename $BOOTPATH/Cell/RollUpDoor/cfg/eio/eio_cc_Rolldoor.cfg -domain EIO 

echo -text "FlexArc RollUp files installed..."
#END_SCRIPT





