mkdir -path $HOME/FlexArc
mkdir -path $HOME/FlexArc/TC96

setvar -var 10 -value 0
getkey -id "ProcessType" -var 10 -strvar $ANSWER -errlabel SINGLE_ARC
goto -strvar $ANSWER
#MUPROC
config -filename $BOOTPATH/Cell/Tc/Tc96/cfg/eio/eTc96R1.cfg -domain EIO
config -filename $BOOTPATH/Cell/Tc/Tc96/cfg/eio/eTc96R2.cfg -domain EIO
#
config -filename $BOOTPATH/Cell/Tc/Tc96/cfg/proc/pMechCleanR1.cfg -domain proc -replace
config -filename $BOOTPATH/Cell/Tc/Tc96/cfg/proc/pMechCleanR2.cfg -domain proc -replace
config -filename $BOOTPATH/Cell/Tc/Tc96/cfg/proc/pSprayR1.cfg -domain proc -replace
config -filename $BOOTPATH/Cell/Tc/Tc96/cfg/proc/pSprayR2.cfg -domain proc -replace
#
copy -from $BOOTPATH/Cell/Tc/Tc96/Code/sTcAutoCycleR1.sys -to $HOME/FlexArc/Tc96/sTcAutoCycleR1.sys
copy -from $BOOTPATH/Cell/Tc/Tc96/Code/sTcAutoCycleR2.sys -to $HOME/FlexArc/Tc96/sTcAutoCycleR2.sys
config -filename $BOOTPATH/Cell/Tc/Tc96/cfg/sys/sTcAutoCycleR1.cfg -domain SYS
config -filename $BOOTPATH/Cell/Tc/Tc96/cfg/sys/sTcAutoCycleR2.cfg -domain SYS

setvar -var 10 -value 0
getkey -id "Layer" -var 10 -strvar $ANSWER -errlabel ALLCODE
goto -strvar $ANSWER
#ALLCODE
copy -from $BOOTPATH/Cell/Tc/Tc96/Code/mTc96R1.mod -to $HOME/FlexArc/Tc96/mTc96R1.mod
copy -from $BOOTPATH/Cell/Tc/Tc96/Code/mTc96R2.mod -to $HOME/FlexArc/Tc96/mTc96R2.mod
config -filename $BOOTPATH/Cell/Tc/Tc96/cfg/sys/sTc96R1.cfg -domain SYS
config -filename $BOOTPATH/Cell/Tc/Tc96/cfg/sys/sTc96R2.cfg -domain SYS

#Layer
goto -label END_SCRIPT

#SINGLE_ARC
config -filename $BOOTPATH/Cell/Tc/Tc96/cfg/eio/eTc96R1.cfg -domain EIO
#
config -filename $BOOTPATH/Cell/Tc/Tc96/cfg/proc/pMechCleanR1.cfg -domain proc -replace
config -filename $BOOTPATH/Cell/Tc/Tc96/cfg/proc/pSprayR1.cfg -domain proc -replace
#
copy -from $BOOTPATH/Cell/Tc/Tc96/Code/sTcAutoCycleR1.sys -to $HOME/FlexArc/Tc96/sTcAutoCycleR1.sys
config -filename $BOOTPATH/Cell/Tc/Tc96/cfg/sys/sTcAutoCycleR1.cfg -domain SYS


setvar -var 10 -value 0
getkey -id "Layer" -var 10 -strvar $ANSWER -errlabel ALLCODE
goto -strvar $ANSWER
#ALLCODE
copy -from $BOOTPATH/Cell/Tc/Tc96/Code/mTc96R1.mod -to $HOME/FlexArc/Tc96/mTc96R1.mod
config -filename $BOOTPATH/Cell/Tc/Tc96/cfg/sys/sTc96R1.cfg -domain SYS

#Layer
#END_SCRIPT